## org.apache.lucene.index
Class MergePolicy.MergeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.index.MergePolicy.MergeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MergePolicy

    public static class MergePolicy.MergeException

extends java.lang.RuntimeException

Exception thrown if there are any problems while executing a merge.

See Also:
  Serialized Form

Constructor Summary
`MergePolicy.MergeException(java.lang.String message)` Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead
`MergePolicy.MergeException(java.lang.String message, Directory dir)`
`MergePolicy.MergeException(java.lang.Throwable exc)` Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead
`MergePolicy.MergeException(java.lang.Throwable exc, Directory dir)`

Method Summary
`Directory` `getDirectory()` Returns the `Directory` of the index that hit the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergePolicy.MergeException

    public MergePolicy.MergeException(java.lang.String message)

  Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead

### MergePolicy.MergeException

    public MergePolicy.MergeException(java.lang.String message,
                                      Directory dir)

### MergePolicy.MergeException

    public MergePolicy.MergeException(java.lang.Throwable exc)

  Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead

### MergePolicy.MergeException

    public MergePolicy.MergeException(java.lang.Throwable exc,
                                      Directory dir)

Method Detail

### getDirectory

    public Directory getDirectory()

  Returns the `Directory` of the index that hit the exception.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.